Package Details: logitechmediaserver-git 20190422.91bab34-1

Git Clone URL: https://aur.archlinux.org/logitechmediaserver-git.git (read-only, click to copy)
Package Base: logitechmediaserver-git
Description: Slimserver for Logitech Squeezebox players. This server is also called Logitech Media Server. (Git-Version, if you prefer stability consider using logitechmediaserver instead)
Upstream URL: https://github.com/stefansielaff/slimserver
Keywords: logitech slimserver squeezebox
Licenses: GPL, custom
Provides: logitechmediaserver
Submitter: stef.an
Maintainer: stef.an
Last Packager: stef.an
Votes: 8
Popularity: 0.000000
First Submitted: 2015-05-16 16:04
Last Updated: 2019-04-22 14:29

Required by (1)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Renophaston commented on 2016-06-05 19:37

For what it's worth, LMS is running for me so far on i686 with perl 5.24. All I did was change the dependency in the PKGBUILD and set PERL_522=$PERL_BIN in that long case statement in slimserver-vendor/CPAN/buildme.sh. (Telling the script it was using 5.22 even though it isn't.) This is ugly and stupid, but if you're desperate to update perl, it's been working for me.

blackhole commented on 2016-06-05 17:01

How to install with the new perl 5.24?

stef.an commented on 2016-03-09 10:07

Okay, thanks for the hint!
I'll take a look...

blackhole commented on 2016-03-09 10:04

maybe is this:

Installed version: GIT.r21678-1
Aur version: 7.9.0-6

I think that maybe pkgver in your PKGBUILD is not correct for a git package

blackhole commented on 2016-03-09 09:50

I don't know why this package ask for installation (also if I have just installed) each time I want to make a system upgrade.

stef.an commented on 2015-10-24 17:46

The last sync with upstream was a bit tricky but it should work now :)

theking2 commented on 2015-08-15 11:51

I know that logitechmedia server is not really compliant with (any of the) archlinux standards, and therefore in some obscure past I put it in /opt.

However, wouldn't it be possible to at least have it --logdir in the more obvious /var/log/logitechmediaserver and have the configuration be drawn from /etc/conf.d?

fragfutter commented on 2015-08-09 09:30

sorry for the fuzz.

i had PERL_MM_OPT in my environment variables during build.

fragfutter commented on 2015-08-09 08:18

the build process installs the XS package into the users home directory ~/perl5

as build user and runtime user are different (or in my case even different machines) it will not work.

fragfutter commented on 2015-08-09 08:04

It's not in the package

tar tJvf logitechmediaserver-7.9.0.arch2-1-x86_64.pkg.tar.xz|grep XS.so
-rwxr-xr-x root/root 59920 2015-08-09 09:48 opt/logitechmediaserver/CPAN/auto/JSON/XS/XS.so


i have a build.log, in there it is build

cc -shared -Wl,-O1,--sort-common,--as-needed,-z,relro -L/usr/local/lib -fstack-protector-strong Stash.o -o ../blib/arch/auto/Template/Stash/XS/XS.so

and a few steps later deleted.

rm -rf blib

I also can't find it in the build tree.